fix(ci): correctly download npm/docker artifacts (#4995)

* fix(ci): correctly download npm artifact

* fixup! fix(ci): correctly download npm artifact

* docs: update MAINTAINING

* fixup! docs: update MAINTAINING

* fixup! Merge branch 'main' into 4949-chore-fix-npm-workflow

* chore: get ci to run

* refactor: use vVERSION branch name instead of release

* refactor: use new download artifact in docker workflow

* refactor: clean up release-github-assets script

* fixup: remove extra v

* fixup! fixup: remove extra v
This commit is contained in:
Joe Previte 2022-03-17 11:52:39 -07:00 committed by GitHub
parent a0561c7685
commit 5afb26fb60
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
7 changed files with 36 additions and 17 deletions

View File

@ -197,7 +197,8 @@ jobs:
with:
fetch-depth: 0
- uses: actions/download-artifact@v3
- name: Download artifact
uses: actions/download-artifact@v3
id: download
with:
name: "npm-package"

View File

@ -35,6 +35,19 @@ jobs:
username: ${{ secrets.DOCKER_USERNAME }}
password: ${{ secrets.DOCKER_PASSWORD }}
- name: Get version
id: version
run: echo "::set-output name=version::$(jq .version package.json)"
- name: Download artifact
uses: dawidd6/action-download-artifact@v2
id: download
with:
branch: v${{ steps.version.outputs.version }}
workflow_conclusion: completed
name: "release-packages"
path: release-packages
- name: Run ./ci/steps/docker-buildx-push.sh
run: ./ci/steps/docker-buildx-push.sh
env:

View File

@ -23,9 +23,16 @@ jobs:
steps:
- uses: actions/checkout@v3
- uses: actions/download-artifact@v3
- name: Get version
id: version
run: echo "::set-output name=version::$(jq .version package.json)"
- name: Download artifact
uses: dawidd6/action-download-artifact@v2
id: download
with:
branch: v${{ steps.version.outputs.version }}
workflow_conclusion: completed
name: "npm-package"
path: release-npm-package

View File

@ -9,6 +9,15 @@ set -euo pipefail
main() {
cd "$(dirname "$0")/../.."
source ./ci/lib.sh
source ./ci/steps/steps-lib.sh
# NOTE@jsjoeio - only needed if we use the download_artifact
# because we talk to the GitHub API.
# Needed to use GitHub API
if ! is_env_var_set "GITHUB_TOKEN"; then
echo "GITHUB_TOKEN is not set. Cannot download npm release-packages without GitHub credentials."
exit 1
fi
download_artifact release-packages ./release-packages
local assets=(./release-packages/code-server*"$VERSION"*{.tar.gz,.deb,.rpm})

View File

@ -4,12 +4,9 @@ set -euo pipefail
main() {
cd "$(dirname "$0")/../.."
# ci/lib.sh sets VERSION and provides download_artifact here
source ./ci/lib.sh
# Download the release-packages artifact
download_artifact release-packages ./release-packages
# NOTE@jsjoeio - this script assumes that you've downloaded
# the release-packages artifact to ./release-packages before
# running this docker buildx step
docker buildx bake -f ci/release-image/docker-bake.hcl --push
}

View File

@ -13,14 +13,6 @@ main() {
exit 1
fi
# NOTE@jsjoeio - only needed if we use the download_artifact
# because we talk to the GitHub API.
# Needed to use GitHub API
if ! is_env_var_set "GITHUB_TOKEN"; then
echo "GITHUB_TOKEN is not set. Cannot download npm release artifact without GitHub credentials."
exit 1
fi
## Publishing Information
# All the variables below are used to determine how we should publish
# the npm package. We also use this information for bumping the version.

View File

@ -164,7 +164,7 @@ If you're the current release manager, follow these steps:
### Publishing a release
1. Create a release branch called `v0.0.0` but replace with new version
1. Create a new branch called `v0.0.0` (replace 0s with actual version aka v4.1.0)
1. Run `yarn release:prep` and type in the new version (e.g., `3.8.1`)
1. GitHub Actions will generate the `npm-package`, `release-packages` and
`release-images` artifacts. You do not have to wait for this step to complete